{
  "schema_version": "1.4.0",
  "id": "GHSA-7j68-5pq5-623j",
  "modified": "2024-06-18T18:31:18Z",
  "published": "2022-05-13T01:22:55Z",
  "aliases": [
    "CVE-2019-8354"
  ],
  "details": "An issue was discovered in SoX 14.4.2. lsx_make_lpf in effect_i_dsp.c has an integer overflow on the result of multiplication fed into malloc. When the buffer is allocated, it is smaller than expected, leading to a heap-based buffer overflow.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:L/AC:L/PR:L/UI:R/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2019-8354"
    },
    {
      "type": "WEB",
      "url": "https://lists.debian.org/debian-lts-announce/2019/05/msg00040.html"
    },
    {
      "type": "WEB",
      "url": "https://sourceforge.net/p/sox/bugs/319"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/4079-1"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/4079-2"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190",
      "CWE-787"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2019-02-15T23:29:00Z"
  }
}